Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkBundleStateResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkBundleStateResource

    public class FrameworkBundleStateResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkBundleStateResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `bundleState​(long bundleid, String ext)`
`javax.ws.rs.core.Response` `bundleState​(BundleStateSchema bundleStateDTO, long bundleid, String ext, javax.ws.rs.core.MediaType contentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkBundleStateResource

    public FrameworkBundleStateResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### bundleState

    @GET
    @Produces({"application/org.osgi.bundlestate+json","application/org.osgi.bundlestate+xml"})
    @Path("framework/bundle/{bundleid}/state{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundleState​(@PathParam("bundleid")
                                                 long bundleid,
                                                 @PathParam("ext")
                                                 String ext)

#### bundleState

    @PUT
    @Consumes({"application/org.osgi.bundlestate+json","application/org.osgi.bundlestate+xml"})
    @Produces({"application/org.osgi.bundlestate+json","application/org.osgi.bundlestate+xml"})
    @Path("framework/bundle/{bundleid}/state{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundleState​(BundleStateSchema bundleStateDTO,
                                                 @PathParam("bundleid")
                                                 long bundleid,
                                                 @PathParam("ext")
                                                 String ext,
                                                 @HeaderParam("Content-Type")
                                                 javax.ws.rs.core.MediaType contentType)